Subject: [dhcwg] WGLC for draft-ietf-geopriv-dhcp-civil-04.txt

From: Ralph Droms <[email-masked]>
Date: Wed, 13 Oct 2004 09:53:08 -0400

Included below is the announcement of a WG last call on 
draft-ietf-geopriv-dhcp-civil-04.txt.

Please review this draft and reply with comments directly to [email-masked]

- Ralph

------------------------
Begin forwarded message:

From: Andrew Newton <[email-masked]>
Date: October 13, 2004 8:47:44 AM EDT
To: GEOPRIV WG <[email-masked]>
Cc: Randall Gellens <[email-masked]>, Allison Mankin <[email-masked]>
Subject: WGLC for draft-ietf-geopriv-dhcp-civil-04.txt

This begins a working group last call for
draft-ietf-geopriv-dhcp-civil-04.txt for the GEOPRIV working group.

The GEOPRIV co-chairs will ask for a simultaneous last call of this document
in DHC working group.

This duration of this last call is to be 3 weeks, concluding on November 3,
2004.

-andy

_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg

---

From: "Bernie Volz" <[email-masked]>
Date: Thu, 14 Oct 2004 11:23:08 -0400

Hi:

Here's some quick review comments (these are mostly nits):

- Clean up figure in 3.2?

- Is there a minimum option length? Wouldn't it be at least 3 bytes (to
specify the country code and what)? Or, is at least one "civic address
element" also needed in which case the minimum length would be 6?

- Is an IANA registry of the "what" values required? Or, do we believe that
the 3 values are all that will ever be needed (which is likely the case)?

- For clarity, section 2's text:

   As discussed in Security Considerations (Section 5), the GeoConf_Civi
   option SHOULD be returned by DHCP servers only when the DHCP client
   has included this option in its 'parameter request list' (Section 3.5
   [2]).

   The DHCP long-options mechanism described in RFC 3396 [8] MUST be
   used if the civic address option exceeds the maximum DHCP option size
   of 255 octets.

Should likely be reworked to:

   As discussed in Security Considerations (Section 5), the GEOCONFIG_CIVIC
   option SHOULD be returned by DHCPv4 servers only when the DHCPv4 client
   has included this option in its 'parameter request list' (Section 3.5
   [2]). Similarily, the OPTION_CIVIC_ADDRESS option SHOULD be returned by
   DHCPv6 servers only when the DHCPv6 client has included this option in
   its OPTION_ORO.

   The DHCPv4 long-options mechanism described in RFC 3396 [8] MUST be
   used if the civic address option exceeds the maximum DHCPv4 option size
   of 255 octets.

And, similar adjustments should be made to section 5.

- Also, in section 2, shouldn't the text:

   To provide multiple renderings, the client
   repeats sequences of address elements, prefixing each with 'language'
   and/or 'script' element (see Section 3.3).  The language and script

Be:

   To provide multiple renderings, the server
                                       ^^^^^^
   repeats sequences of address elements, prefixing each with 'language'
   and/or 'script' element (see Section 3.3).  The language and script

- In section 3.1, it isn't immediately clear what the countrycode is used
for. I presume this is used to specify the mapping for the Catype to a
textual representation?

   Countrycode: The two-letter ISO 3166 country code in capital ASCII
      letters, e.g., DE or US.

- In section 6, specify that the initial allocations are provided in Section
3.4 (I've found that IANA doesn't read the entire document, just the IANA
Considerations section so they'd need to be told about the initial registry
list or where to find it in the IANA Considerations section.)

- Bernie

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] 
> On Behalf Of Ralph Droms
> Sent: Wednesday, October 13, 2004 9:53 AM
> To: [email-masked]
> Cc: Allison Mankin; Randall Gellens; Andrew Newton
> Subject: [dhcwg] WGLC for draft-ietf-geopriv-dhcp-civil-04.txt
> 
> 
> The GEOPRIV co-chairs will ask for a simultaneous last call 
> of this document in DHC working group.
> 
> This duration of this last call is to be 3 weeks, concluding 
> on November 3, 2004.
> 
> -andy
> 
> 
>

---

From: "Bernie Volz" <[email-masked]>
Date: Fri, 15 Oct 2004 23:54:45 -0400

Henning:

    0                   1                   2                   3
    0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
   |      OPTION_CIVIC_ADDRESS     |         option-len            |
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
   |         Countrycode           |   what        |  elements    ...
   |                     civic address elements                    |
   |                              ...                              |
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

Would usually be shown as:

    0                   1                   2                   3
    0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
   |      OPTION_CIVIC_ADDRESS     |         option-len            |
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
   |         Countrycode           |   what        |               .
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+               .
   .                     civic address elements                    .
   .                              ...                              .
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

(At least if we use RFC 3315 and 3633 as a guide.)

But, it's no big deal.

> From: Henning Schulzrinne [mailto:[email-masked]] 
> Sent: Friday, October 15, 2004 11:01 PM
> To: Bernie Volz
> Cc: [email-masked]; [email-masked]; [email-masked]
> Subject: Re: [dhcwg] WGLC for draft-ietf-geopriv-dhcp-civil-04.txt
> 
> 
> Bernie Volz wrote:
> > Hi:
> > 
> Can you clarify? I must be missing something obvious as to 
> the defects 
> of the figure...
> 
> > 
> > - Is there a minimum option length? Wouldn't it be at least 3 bytes 
> > (to specify the country code and what)? Or, is at least one "civic 
> > address element" also needed in which case the minimum 
> length would be 
> > 6?
> 
> All elements are optional, so min. length would be 3 (just 
> country code 
> + what).
> 
> > 
> > - Is an IANA registry of the "what" values required? Or, do 
> we believe 
> > that the 3 values are all that will ever be needed (which is likely 
> > the case)?
> 
> I suspect that additional values are sufficiently unlikely 
> that we can 
> rely on a revised version of the document for extending the 
> registry. I 
> don't feel strongly about this; there used to be a time, 
> maybe now past, 
> where adding IANA registries was considered ill-advised.
> 
> > 
> ...
> Fixed.
> Fixed.
> Indeed.
> > - In section 3.1, it isn't immediately clear what the 
> countrycode is 
> > used for. I presume this is used to specify the mapping for 
> the Catype 
> > to a textual representation?
> > 
> Not really. This is just for space efficiency, since every 
> civic address 
> must contain a country code and since its length is fixed. 
> There is no 
> assumed mapping from country to language or script. I added a 
> parenthesized explanation.
> 
> > 
> > - In section 6, specify that the initial allocations are 
> provided in 
> > Section 3.4 (I've found that IANA doesn't read the entire document, 
> > just the IANA Considerations section so they'd need to be 
> told about 
> > the initial registry list or where to find it in the IANA 
> > Considerations section.)
> >
> 
> Reference added.
> 
> Thanks for your comments!
> 
> Henning
>

---

From: Henning Schulzrinne <[email-masked]>
Date: Fri, 15 Oct 2004 23:00:55 -0400

> - Clean up figure in 3.2?

Can you clarify? I must be missing something obvious as to the defects 
of the figure...

> element" also needed in which case the minimum length would be 6?

All elements are optional, so min. length would be 3 (just country code 
+ what).

> the 3 values are all that will ever be needed (which is likely the case)?

I suspect that additional values are sufficiently unlikely that we can 
rely on a revised version of the document for extending the registry. I 
don't feel strongly about this; there used to be a time, maybe now past, 
where adding IANA registries was considered ill-advised.

...

Fixed.

Fixed.

Indeed.

>    Countrycode: The two-letter ISO 3166 country code in capital ASCII

Not really. This is just for space efficiency, since every civic address 
must contain a country code and since its length is fixed. There is no 
assumed mapping from country to language or script. I added a 
parenthesized explanation.

Reference added.

Henning